UNIT CIconButtonIntf;
INTERFACE

{$IFC CodeResource=TRUE}
	USES
		CIBUtils;
{$ELSEC}
{$IFC UseStubResource=TRUE}
	TYPE
		TextState = PACKED RECORD
				tsFont: integer;
				filler: byte;
				tsFace: Style;
				tsMode: integer;
				tsSize: integer;
			END; { TextState = record }
		TextStatePtr = ^TextState;
{$ELSEC}
	USES
		GrafUtils;
{$ENDC}
{$ENDC}


	FUNCTION CIB_IsCustomControl (c: ControlHandle): boolean;
	PROCEDURE CIB_SetTitleOrientation (c: ControlHandle; orientation: integer);
	PROCEDURE CIB_SetUseWFont (c: ControlHandle; useWFont: boolean);
	PROCEDURE CIB_SetDynamicGeometry (c: ControlHandle; geometryChanges: boolean);
	PROCEDURE CIB_SetTrackRegion (c: ControlHandle; trackRegion: boolean);
	PROCEDURE CIB_SetCallbackProc (c: ControlHandle; theProc: procPtr);
	FUNCTION CIB_GetCopyright (c: ControlHandle): str255;
	FUNCTION CIB_GetVersion (c: ControlHandle): longint;
	PROCEDURE CIB_SetMainIcon (c: ControlHandle; iconID: integer);
	PROCEDURE CIB_SetShellIcon (c: ControlHandle; iconID: integer);
	PROCEDURE CIB_SetAltIcon (c: ControlHandle; iconID: integer);
	PROCEDURE CIB_SetIcons (c: ControlHandle; main, shell, alt: integer);
	PROCEDURE CIB_SetLabelGap (c: ControlHandle; gap: integer);
	PROCEDURE CIB_SetCheckmarkGap (c: ControlHandle; gap: integer);

	PROCEDURE CIB_SetTextFont (c: ControlHandle; theFont: integer);
	PROCEDURE CIB_SetTextFace (c: ControlHandle; theFace: Style);
	PROCEDURE CIB_SetTextMode (c: ControlHandle; theMode: integer);
	PROCEDURE CIB_SetTextSize (c: ControlHandle; theSize: integer);
	PROCEDURE CIB_SetTextState (c: ControlHandle; theTextState: textStatePtr);

IMPLEMENTATION

END.